<style>
table.toppage {
  table-layout: fixed;
}
table.toppage th {
  text-align: center;
  vertical-align: middle;
}
table.toppage td {
  text-align: center;
  vertical-align: middle;
  border: 2px dotted #e1e1e1;
}
table.toppage td.border_inner {
  border-right-width: 2px;
  border-right-style: dotted;
  border-right-color: #e1e1e1;
}
</style>
{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;"> <a href="/localdb/"
          style="color:rgba(0, 0, 0, 0.648);;">Top Page</a> > Change the assignment of scan results to components </h1>
    </div>
  </div>
</div>

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h1><font color=#000080><i class="fa fa-wrench "></i> Change the assignment of scan results to components</font></h1>
    </div>
  </div>
</div>

<br>


{% if stage == "complete" %}
  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <h3>Correction completed! You can create electrical QC tests for new module! </h3>
      </div>
    </div>
  </div>

{% elif stage == "input" %}
  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <h3>Please input 2 module names</h3>
        <h3>You can re-assign scan results to new module from old one</h3><br>
      </div>
    </div>
  </div>

{% elif stage == "confirm" %}
<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h3>Please confirm Module & Chips relation is collect.</h3><br>
    </div>
  </div>
</div>
{% endif %}


<form class="form-holizontal" role="form" method="post" accept-charset="UTF-8">
<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">

      <div class="form-group row" style="float: left; width: 48%;">
        <label class="col-form-label col-md-10" for="name" style="font-size: 25;">Old Module name (serialNumber)</label>
        <div class="col-md-10">
          {% if stage == "input" %}
          <input type="text" class="form-control" value="{{ moduleinfo[0] }}" placeholder="Old Module name" name="moduleinfo"
            id="name" required="required" autocomplete="on" list="module">
          {% else %}
          <input type="hidden" value="{{ moduleinfo[0] }}" name="moduleinfo">
          <p style="font-size: 30;">{{ moduleinfo[0] }}</p>
          <table class='table table-sm table-bordered' style='font-size: 8pt;'>
            <thead class='table-light'>
              <tr>
                <th scope='col' class='text-left'>Chip Num</th>
                <th scope='col' class='text-left'>Name (serial number)</th>
              </tr>
            </thead>
            <tbody>
              {% for chip in chips['old'] %}
              <tr>
                <th scope='raw' class='text-left'>Chip{{loop.index}}</td>
                <td class='text-left'>{{ chip }}</td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
          {% endif %}
        </div>
      </div>

      <div class="form-group row" style="float: right; width: 48%;">
        <label class="col-form-label col-md-10" for="name" style="font-size: 25;">New Module name (serialNumber)</label>
        <div class="col-md-10">
          {% if stage == "input" %}
          <input type="text" class="form-control" value="{{ moduleinfo[1] }}" placeholder="New Module name" name="moduleinfo"
            id="name" required="required" autocomplete="on" list="module">
          <datalist id="module">
            {% for moduleSN in modules %}
              <option value={{ moduleSN }}>
            {% endfor %}
          </datalist>
          {% else %}
          <input type="hidden" value="{{ moduleinfo[1] }}" name="moduleinfo">
          <p style="font-size: 30;">{{ moduleinfo[1] }}</p>
          <table class='table table-sm table-bordered' style='font-size: 8pt;'>
            <thead class='table-light'>
              <tr>
                <th scope='col' class='text-left'>Chip Num</th>
                <th scope='col' class='text-left'>Name (serial number)</th>
              </tr>
            </thead>
            <tbody>
              {% for chip in chips['new'] %}
              <tr>
                <th scope='raw' class='text-left'>Chip{{loop.index}}</td>
                <td class='text-left'>{{ chip }}</td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
</div>

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">

      <div class="form-group row">
        <div class="col-md-10">
        {% if not text == _brank %}
        <p>
          <font color=#ff0000 style="font-size: 25px;">{{ text }}</font>
        </p>
        {% endif %}
        {% if stage == "input" %}
        <button type="submit" class="btn btn-primary" name="stage" value="confirm">confirm</button>
        {% elif stage == "confirm" %}
        <button type="submit" class="btn btn-primary" name="stage" value="complete">Change Components for scans</button>
        <button type="submit" class="btn btn-primary" name="stage" value="input">Back page</button>
        {% endif %}
        </div>
      </div>

    </div>
  </div>
</div>
</form>
{% if stage == "confirm" %}
<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <form action="">
        <p style="font-size: 20pt;">
          <input type="checkbox" name="chk1" onclick="setHide('test-table', this.checked == false)" style="transform: scale(1.4); align-items: center;">
            Show list of scans with old modules. These scans will be changed to new modules.
        </p>
      </form>
      <table class="table table-sm toppage" style="font-size: 10pt; display: none;" name="test-table">
        <thead class="table-light">
          <tr>
            <th scope="col" rowspan=2 style="word-wrap:break-word; text-align:left;">Module Name</th>
            <th scope="col" rowspan=2 style="word-wrap:break-word; text-align:left;">Chip Name</th>
            <th scope="col" colspan=5 style="word-wrap:break-word; text-align:left;">Test Data</th>
            <th scope="col" colspan=1 rowspan=2 style="word-wrap:break-word; text-align:left;">Tag</th>
          </tr>
          <tr>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Test Type</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Stage</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Site</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Date</th>
            <th scope="col" style="word-wrap:break-word; text-align:left;">Link</th>
          </tr>
        </thead>
        <tbody>
          {% for run_data in change_test_run %}
          {% if run_data['plots'] %}
          <tr>
            {% else %}
          <tr style="background: #AABBCC;">
            {% endif %}
            <td style="word-wrap:break-word; text-align:left;">
              {% for component in run_data['components'] %}
              {% if component['chip_id']=='module' %}
              <a
                href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection']) }}">
                <font>{{component['name']}}</font><br>
              </a>
              {% endif %}
              {% endfor %}
            </td>
            <td style="word-wrap:break-word; text-align:left;">
              {% for component in run_data['components'] %}
              {% if not component['chip_id']=='module' %}
              {% if component['enabled'] %}
              <a
                href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection']) }}">
                <font>{{component['name']}}</font>
              </a><br>
              {% else %}
              <font color="BBBBBB">{{component['name']}}</font><br>
              {% endif %}
              {% endif %}
              {% endfor %}
            </td>
            <td style="word-wrap:break-word; text-align:left;">{{ run_data["testType"] }}</td>
            <td style="word-wrap:break-word; text-align:left;">{{ run_data["stage"] }}</td>
            <td style="word-wrap:break-word; text-align:left;">{{ run_data["site"] }}</td>
            <td style="word-wrap:break-word; text-align:left;">{{ run_data["datetime"] }}</td>
            <td style="word-wrap:break-word; text-align:left;">
              {% set hoge = [] %}
              {% for component in run_data['components'] %}
              {% if component['chip_id']=='module' %}
              {% set _ = hoge.append(0)%}
              <a
                href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection'], test='electrical', runId=run_data['_id']) }}">result
                page</a>
              {% endif %}
              {% endfor %}
              {% if not hoge %}
              <a href="{{ url_for('component_api.nomodule_result', test='electrical', runId=run_data['_id']) }}">result
                page</a>
              {% endif %}
            </td>
            <td style="word-wrap:break-word; text-align:left;">
              {% for tag in run_data['testRun_tag'] %}
              <i class="fa fa-tag"></i> {{ tag['name'] }}<br>
              {% endfor %}
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
</div>

{% endif %}

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <a href="/localdb/">Back to Top Page</a>
    </div>
  </div>
</div>

<br>
{% endblock %}
